\documentclass[12pt, twoside]{amsart}

\newcommand{\R}{{\mathbb R}}
\newcommand{\Z}{{\mathbb Z}}
\newcommand{\xn}{{\vec x_n}}

\setlength{\textwidth}{6.5in}
\setlength{\textheight}{8.5in}
\setlength{\oddsidemargin}{0in}
\setlength{\evensidemargin}{0in}
\setlength{\topmargin}{0in}

\everymath{\displaystyle}
\usepackage{commath}
\usepackage{pgfplots}
\pgfplotsset{compat=1.14}


\begin{document}


\centerline{\large \sc Topics in Geometry - Homework 2}
\centerline{\large  Sophie Stephenson \ September 30, 2019}
\bigskip

\textbf{Text, Chapter 2}\\

\begin{enumerate}

\item[7.)] Use the known power series
$$e^x = 1 + x + \frac{x^2}{2} + \frac{x^3}{3!} + \frac{x^4}{4!} + \cdots$$
$$\sin(x) = x - \frac{x^3}{3!} + \frac{x^5}{5!} - \frac{x^7}{7!} + \cdots$$
and
$$\cos(x) = 1 - \frac{x^2}{2!} + \frac{x^4}{4!} - \frac{x^6}{6!} + \cdots$$\\
to provide further support for Euler's definition of complex exponentiation.
\begin{proof}[Solution] We see that 

\begin{align*}
e^{i\phi} &= 1 + i\phi + \frac{(i\phi)^2}{2} + \frac{(i\phi)^3}{3!} + \frac{(i\phi)^4}{4!} + \frac{(i\phi)^5}{5!} \cdots\\
	&= 1 + i\phi - \frac{\phi^2}{2} - i\frac{\phi^3}{3!} + \frac{\phi^4}{4!} + i\frac{\phi^5}{5!} - \cdots\\
	&= (1 - \frac{\phi^2}{2} + \frac{\phi^4}{4!} - \cdots) + i( \phi - \frac{\phi^3}{3!}+ \frac{\phi^5}{5!} - \cdots)\\
	&= \cos(\phi) + i\sin(\phi).
\end{align*}

\end{proof}
\bigskip

\item[9.)] Express $4i$ and $5 - 5i\sqrt 3$ in polar form.
\begin{proof}[Solution] Starting with $4i$, we know that $\abs{4i} = \sqrt{4^2} = 4$ is our $r$. Then, we know that $\tfrac{1}{4} 4i = 0 + i = \cos(\theta) + i\sin(\theta)$, and we find that $\theta = \pi/2$. Thus, 
$$4i = 4e^{i(\pi/2)}.$$

For $5 - 5i\sqrt3$, we have that 
$$r = \abs{5 - 5i\sqrt3} = \sqrt{5^2 + (5\sqrt3)^2} = \sqrt{25 + 75} = \sqrt{100} = 10.$$
Then, $\tfrac{1}{10} 5 - \tfrac{1}{10}5i\sqrt3 = \tfrac{1}{2} - \tfrac{\sqrt3}{2}i = \cos(\theta) + i\sin(\theta)$ when $\theta = \tfrac{5\pi}{3}.$ Thus, 
$$5 - 5i\sqrt3 = 10e^{i(5\pi/3)}.$$
\end{proof}
\bigskip

\newpage

\item[10.)] Express $\frac{1}{1 + i}$ and $\frac{4 + i}{1 - 2i}$ in Cartesian and/or polar form.
\begin{proof}[Solution] Starting with $\tfrac{1}{1 + i}$, we have
$$\frac{1}{1 + i} = \frac{1 - i}{(1 + i)(1 - i)} = \frac{1 + i}{1 - i^2} = \frac{1 + i}{2} = \frac{1}{2} +\frac{1}{2}i.$$
Then, 
$$\frac{4 + i}{1 - 2i} = \frac{(4 + i)(1 + 2i)}{(1 - 2i)(1 + 2i)} = \frac{4 + 9i + 2i^2}{1 -4i^2} = \frac{2 + 9i}{5} = \frac{2}{5} + \frac{9}{5}i.$$

\end{proof}
\bigskip

\item[14.)] Find all square roots of these complex numbers:
\begin{enumerate}
	\item[e)] $-i$
	\begin{proof}[Solution] We first convert $-i$ to polar form: $-i = e^{i(3\pi/2)}$. Then,
	$$\sqrt{-i} = \sqrt{e^{i3\pi/2}} = e^{i(3\pi/4)} \text{ and } e^{i(7\pi/4)}.$$
	\end{proof}
	
	\item[g)] $2 + 2i$
	\begin{proof}[Solution] Again, we first convert $2 + 2i$ to polar form. We have that 
	$$r = \sqrt{2^2 + 2^2} = \sqrt8.$$
	Thus, $\sqrt8(\tfrac{\sqrt2}{2} + \tfrac{\sqrt2}{2}i) = \sqrt8(\cos(\theta) + i\sin(\theta))$, so we see $\theta = \pi/2$. Hence, the polar form of $2 + 2i$ is $\sqrt8 e^{i(\pi/2)}$. Then:
	$$\sqrt{2 + 2i} = \sqrt{\sqrt8 e^{i(\pi/2)}} = \sqrt[4]{8} e^{i(\pi/4)} \text{ and } \sqrt[4]{8}e^{i(5\pi/4)}.$$
	\end{proof}
\end{enumerate}

\item[18.)] Sketch the set of complex numbers $z$ satisfying the following conditions.
\begin{enumerate}
	\item[e)] $\abs{z/2 + 1/2} = 3$
	\begin{proof}[Solution] 
	For any $w = x + yi$ and constant $a \in \R$, we have that 
	$$a\abs{w} = a\sqrt{x^2 + y^2} = \sqrt{a^2}\sqrt{x^2 + y^2} = \sqrt{a^2(x^2 + y^2)} = \sqrt{(ax)^2 + (ay^2)} = \abs{aw}.$$
	Thus, we can multiply both sides of our expression by 2 and get 
	$$2 \abs{z/2 + 1/2} =2(3)  \implies \abs{2(z/2 + 1/2)} = 6 \implies \abs{z + 1} = 6.$$ 
	This graph is simply a circle of radius 6 centered at 1.\\
	
	\begin{tikzpicture}
\begin{axis}[
    xmin=-6,
    xmax=8,
    ymin=-8,
    ymax=8,
    extra x ticks={1, 7},
    axis equal,
    axis lines=middle,
    xlabel=Re($z$),
    ylabel=Im($z$),
    disabledatascaling]

\draw [color=red] (axis cs: 1, 0) circle [radius=6];
\addplot [only marks,mark=*] coordinates { (1, 0) };
\end{axis}
\end{tikzpicture}
	\end{proof}
	
	\item[g)] $\abs{3z - i} > 6$
	\begin{proof}[Solution] As above, we can multiply our expression by 1/3 to get $\abs{z - i/3} > 2$. Thus, this is a circle of radius 2 centered at $i/3$, and everything outside the circle should be filled in.\\
	
	\begin{tikzpicture}
\begin{axis}[axis background/.style={fill=red!10},
    xmin=-4,
    xmax=4,
    ymin=-4,
    ymax=4,
    axis equal,
    axis lines=middle,
    xlabel=Re($z$),
    ylabel=Im($z$),
    disabledatascaling]

\draw [color=red, fill=white] (axis cs: 0, 1/3) circle [radius=2];
\addplot [only marks,mark=*] coordinates { (0, 1/3) };
\end{axis}
\end{tikzpicture}
	
	\end{proof}
	
	\item[j)] $\abs{z + i} = \abs{z - i}$
	\begin{proof}[Solution] As we talked about in class, this is simply the real axis of the complex plane.\\
	
	\begin{tikzpicture}
\begin{axis}[
    xmin=-5,
    xmax=5,
    ymin=-2,
    ymax=2,
    axis equal,
    axis lines=middle,
    xlabel=Re($z$),
    ylabel=Im($z$),
    disabledatascaling]

\addplot[color=red, mark=>] coordinates { (-5, 0) (5, 0)};
\end{axis}
\end{tikzpicture}
	
	\end{proof}
	
	\item[i)] $\abs{z - 1} = \abs{z}$
	\begin{proof}[Solution] Expanding algebraically, we find 
	\begin{align*}
	\abs{z - 1} = \abs{z} &\implies\sqrt{(x - 1)^2 + y^2} = \sqrt{x^2 + y^2} \\
	&\implies 	(x - 1)^2 = x^2 \\
	&\implies x^2 - 2x + 1 = x^2 \\
	&\implies 1 = 2x \\
	&\implies \frac{1}{2} = x.
	\end{align*}
	Thus, this is simply the vertical line at $x = \frac{1}{2}$. \\
	\bigskip
	
	\begin{tikzpicture}
\begin{axis}[
    xmin=-3,
    xmax=3,
    ymin=-2,
    ymax=2,
    axis equal,
    axis lines=middle,
    xlabel=Re($z$),
    ylabel=Im($z$),
    disabledatascaling]

\addplot[color=red, mark=>] coordinates { (1/2, -5) (1/2, 5)};
\end{axis}
\end{tikzpicture}
	
	\end{proof}
	
	\newpage
	
	\item[k)] Re($z$) = 1
	\begin{proof}[Solution] This is simply the vertical line at $x = 1$.\\
	
	\begin{tikzpicture}
\begin{axis}[
    xmin=-5,
    xmax=5,
    ymin=-2,
    ymax=2,
    axis equal,
    axis lines=middle,
    xlabel=Re($z$),
    ylabel=Im($z$),
    disabledatascaling]

\addplot[color=red, mark=>] coordinates { (1, -5) (1, 5)};
\end{axis}
\end{tikzpicture}\\
	\end{proof}
\end{enumerate}

\bigskip

\item[20.)] Let $\alpha$ and $\beta$ be complex constants, and let $z = x + iy$. Show that 
$$\text{Im}(\alpha z + \beta) = 0$$
is the equation of a straight line. Can every straight line be expressed by such an equation?
\begin{proof} Let $z = x + yi$, $\alpha = a_1 + a_2i$, and $\beta = b_1 + b_2i$. Then:
$$\alpha z = (a_1 + a_2i)(x + yi) = (a_1x - a_2y) + i(a_1y + a_2x),$$
and
$$\alpha z + \beta = (a_1x - a_2y + b_1) + i(a_1y + a_2x + b_2).$$
Thus, since $\text{Im}(\alpha z + \beta) = a_1y + a_2x + b_2$,
$$\text{Im}(\alpha z + \beta) = 0 \implies a_1y = - a_2x - b_2 \implies y = - \frac{a_2}{a_1}x - \frac{b_2}{a_1},$$
which is in the form of a straight line.\\

Every straight line $y = mx + b$ can be represented by such an equation; you simply need to find the right constants $\alpha = a_1 + a_2i$ and $\beta = b_1 + b_2i$, with $a_1 \not = 0$, such that $m = - \frac{a_2}{a_1}$ and $b = - \frac{b_2}{a_1}$. Since $m, b, a_1, a_2, b_2 \in \R$, this is possible for any $m$ and $b$.\\
\end{proof}

\newpage

\end{enumerate}

\textbf{Other Problems} \\

\begin{enumerate}

\item[1.)] Verify that $e^{i\theta} e^{i\phi} = e^{i(\theta + \phi)}$ using the fact that $e^{i \theta} = \cos (\theta) + i\sin (\theta)$. 
\begin{proof} We have, for some $\theta$ and $\phi$,
	\begin{align*}
	e^{i\theta} e^{i\phi} &= (\cos(\theta) + i\sin(\theta)) (\cos(\phi) + i\sin(\phi))\\	
		&= \cos\theta\cos\phi + i\sin\theta \cos\phi + i\cos\theta\sin\phi - \sin\theta\sin\phi\\
		&= (\cos\theta \cos\phi - \sin\theta\sin\phi) + i(\sin\theta\cos\phi + \cos\theta\sin\phi)\\
		&= \cos(\theta + \phi) + i \sin(\theta + \phi)\\
		&= e^{i(\theta + \phi)}.
	\end{align*}
\end{proof}
\bigskip

\item[2.)] Prove that the complex conjugate of $e^{i\theta}$ is $e^{-i\theta}$.
\begin{proof} We have that 
$$e^{i\theta} = \cos(\theta) + i\sin(\theta).$$ 
Thus, using trig identities, the complex conjugate of $e^{i\theta}$ is 
$$\cos(\theta) - i\sin(\theta) = \cos(-\theta) +i\sin(-\theta) = e^{i(-\theta)} = e^{-i\theta},$$
as desired.

\end{proof}
\bigskip


\end{enumerate}


\end{document}